## gnome-decoder 0.6.0

=== meson_options.txt ===
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Authenticator. One of "default" or "development".'
)

=== debian/changelog ===
gnome-decoder (0.6.0-2) unstable; urgency=medium

  * d/control: mention GNOME Circle in package description
  * debian: use rust-image 0.25.
    We had 0.24 when this was uploaded, but 0.25 is now in Debian.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 10 Feb 2025 13:15:31 +0100

gnome-decoder (0.6.0-1) unstable; urgency=medium

  * Initial upload (Closes: #1083132)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 02 Oct 2024 10:42:50 +0200

=== debian/control ===
Source: gnome-decoder
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: debhelper-compat (= 13),
 appstream <!nocheck>,
 cargo,
 desktop-file-utils,
 libgstreamer-plugins-bad1.0-dev,
 librust-anyhow-1-dev,
 librust-aperture-0.7-dev,
 librust-ashpd-0.9+gtk4-dev,
 librust-async-lock-3-dev,
 librust-async-std-1-dev,
 librust-chrono-0.4-dev,
 librust-gettext-rs-0.7-dev,
 librust-image-0.25+png-dev,
 librust-libadwaita-0.7+v1-6-dev,
 librust-linkify-0.9-dev,
 librust-nom-7-dev,
 librust-nom-permutation-0.1-dev,
 librust-qrcode-0.14-dev,
 librust-sqlx-0.8-dev,
 librust-tracing-0.1-dev,
 librust-tracing-subscriber-0.3-dev,
 librust-zbar-rust-0.0-dev,
 librust-url-2-dev,
 meson,
 rust-clippy <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/World/decoder
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-decoder
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-decoder.git
Rules-Requires-Root: no

Package: gnome-decoder
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: QR code scanner and generator for the GNOME Desktop
 Decoder is a GTK4-based QR code scanner/generator, featuring:
   - simple UI for generating QR codes for both Wi-Fi credentials
     and arbitrary text
   - QR code decoding using a camera or local file
   - adaptive, mobile-friendly interface
 .
 Decoder is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f .cargo/config
	mv Cargo.lock debian/

execute_after_dh_auto_install:
	mv debian/Cargo.lock .

## gnome-decoder 0.6.1

=== debian/changelog ===
gnome-decoder (0.6.1-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Opt into Salsa CI

  [ Arnaud Ferraris ]
  * debian: update ashpd build-dep to 0.10 (Closes: #1096011)
  * d/patches: drop clippy test.
    This test takes a long time and isn't actually useful as it's basically
    a linter: it will keep passing as long as the source code doesn't
    change, and therefore doesn't add any value in the context of Debian.
  * d/control: drop clippy build-dependency

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 15 Feb 2025 14:09:11 +0100

gnome-decoder (0.6.1-1) unstable; urgency=medium

  * New upstream version
  * d/patches: update for new upstream version.
    Debian still has `aperture` v0.7.
  * d/rules: fix build issues.
    LTO has to be disabled on 32-bits architectures, otherwise the compiler
    will run out of memory at some point. Likewise, some builders are a bit
    slow, so increase the tests timeout to ensure we don't fail.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 10 Feb 2025 18:45:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libgstreamer-plugins-bad1.0-dev,
  librust-anyhow-1-dev,
  librust-aperture-0.7-dev,
- librust-ashpd-0.9+gtk4-dev,
+ librust-ashpd-0.10+gtk4-dev,
  librust-async-lock-3-dev,
  librust-async-std-1-dev,
  librust-chrono-0.4-dev,
@@ -27,7 +27,6 @@
  librust-zbar-rust-0.0-dev,
  librust-url-2-dev,
  meson,
- rust-clippy <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/World/decoder
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-decoder

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/decoder --help
Restrictions: allow-stderr superficial
Depends: xauth,
         xvfb,
         @

## gnome-decoder 0.7.0

=== meson_options.txt ===
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile for Decoder. One of "default" or "development".'
)

=== debian/changelog ===
gnome-decoder (0.7.0-1build1) plucky; urgency=medium

  * Add patches to avoid switching to rust 2024 edition

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 10:22:06 -0400

gnome-decoder (0.7.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: update for new upstream version
  * d/control: update build-dependencies for new version
  * d/patches: rename executable to gnome-decoder.
    This will ensure we don't have any conflict in the future, as `decoder`
    is too generic of a name.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 21 Mar 2025 13:10:27 +0100

gnome-decoder (0.6.1-3) unstable; urgency=medium

  * Team upload
  * d/patches, d/control: Build with asphd 0.11
  * Bump S-V to 4.7.2; no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Mon, 03 Mar 2025 21:49:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,25 +9,29 @@
  desktop-file-utils,
  libgstreamer-plugins-bad1.0-dev,
  librust-anyhow-1-dev,
- librust-aperture-0.7-dev,
- librust-ashpd-0.10+gtk4-dev,
+ librust-aperture-0.9-dev,
+ librust-ashpd-0.11+async-std-dev,
+ librust-ashpd-0.11+gtk4-dev,
+ librust-ashpd-0.11+tracing-dev,
+ librust-async-fs-2-dev,
+ librust-async-io-2-dev,
  librust-async-lock-3-dev,
- librust-async-std-1-dev,
+ librust-blocking-1-dev,
  librust-chrono-0.4-dev,
  librust-gettext-rs-0.7-dev,
  librust-image-0.25+png-dev,
- librust-libadwaita-0.7+v1-6-dev,
+ librust-libadwaita-0.7+v1-7-dev,
  librust-linkify-0.9-dev,
  librust-nom-7-dev,
  librust-nom-permutation-0.1-dev,
  librust-qrcode-0.14-dev,
+ librust-rqrr-0.9-dev,
  librust-sqlx-0.8-dev,
  librust-tracing-0.1-dev,
  librust-tracing-subscriber-0.3-dev,
- librust-zbar-rust-0.0-dev,
  librust-url-2-dev,
  meson,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/World/decoder
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-decoder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-decoder.git

## gnome-decoder 0.7.1

=== debian/changelog ===
gnome-decoder (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * Remove encryption types patches: applied in new release
  * Add patch to avoid updating rust-nom to 8
  * Update Build-Depends
  * Add Depends: gstreamer1.0-plugins-bad

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 20 Apr 2025 09:48:34 -0400

gnome-decoder (0.7.0-4) unstable; urgency=medium

  [ YOKOTA Hiroshi ]
  * Add patches to fix "SAE" and "None" encryption types

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 19 Apr 2025 12:44:44 -0400

gnome-decoder (0.7.0-3) unstable; urgency=medium

  * Add Depends: gstreamer1.0-gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 17:51:29 -0400

gnome-decoder (0.7.0-2) unstable; urgency=medium

  * Update Homepage
  * Salsa CI: Stop disabling reproducibility test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 10:36:28 -0400

=== debian/control ===
Source: gnome-decoder
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: debhelper-compat (= 13),
 appstream <!nocheck>,
 cargo,
 desktop-file-utils,
 libgstreamer-plugins-bad1.0-dev,
 librust-anyhow-1+default-dev,
 librust-aperture-0.9+default-dev (>= 0.9.3-~~),
 librust-ashpd-0.11+async-std-dev,
 librust-ashpd-0.11+gtk4-dev,
 librust-ashpd-0.11+tracing-dev,
 librust-async-fs-2+default-dev (>= 2.1-~~),
 librust-async-io-2+default-dev (>= 2.3-~~),
 librust-async-lock-3+default-dev (>= 3.3-~~),
 librust-blocking-1+default-dev (>= 1.6-~~),
 librust-chrono-0.4+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+gnome-47-dev,
 librust-image-0.25+png-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-7-dev,
 librust-linkify-0.9+default-dev,
 librust-nom-7-dev (>= 7.1-~~),
 librust-nom-permutation-0.1+default-dev,
 librust-qrcode-0.14+default-dev,
 librust-rqrr-0.9+img-dev (>= 0.9.3-~~),
 librust-sqlx-0.8+chrono-dev,
 librust-sqlx-0.8+default-dev,
 librust-sqlx-0.8+runtime-async-std-native-tls-dev,
 librust-sqlx-0.8+sqlite-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-url-2+default-dev (>= 2.2-~~),
 meson,
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Decoder/
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-decoder
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-decoder.git
Rules-Requires-Root: no

Package: gnome-decoder
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-gtk4,
         gstreamer1.0-plugins-bad,
Description: QR code scanner and generator for the GNOME Desktop
 Decoder is a GTK4-based QR code scanner/generator, featuring:
   - simple UI for generating QR codes for both Wi-Fi credentials
     and arbitrary text
   - QR code decoding using a camera or local file
   - adaptive, mobile-friendly interface
 .
 Decoder is a GNOME Circle app.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/World/decoder/-/tags?sort=updated_desc \
	/World/decoder/-/archive/[\d\.]+/decoder@ANY_VERSION@@ARCHIVE_EXT@

## gnome-decoder 0.8.0

=== debian/changelog ===
gnome-decoder (0.8.0-2) unstable; urgency=medium

  * d/patches, d/control: Stop patching linkify

 -- Matthias Geiger <werdahias@debian.org>  Fri, 26 Sep 2025 18:12:02 +0200

gnome-decoder (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends
  * Add patch to revert commit which requires a newer rustc
  * Update rename patch for new D-Bus service
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 23:47:37 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  desktop-file-utils,
  libgstreamer-plugins-bad1.0-dev,
  librust-anyhow-1+default-dev,
- librust-aperture-0.9+default-dev (>= 0.9.3-~~),
- librust-ashpd-0.11+async-std-dev,
- librust-ashpd-0.11+gtk4-dev,
- librust-ashpd-0.11+tracing-dev,
+ librust-aperture-0.11+default-dev,
+ librust-ashpd-0.12+async-std-dev,
+ librust-ashpd-0.12+gtk4-dev,
+ librust-ashpd-0.12+tracing-dev,
  librust-async-fs-2+default-dev (>= 2.1-~~),
  librust-async-io-2+default-dev (>= 2.3-~~),
  librust-async-lock-3+default-dev (>= 3.3-~~),
@@ -20,16 +20,17 @@
  librust-chrono-0.4+default-dev,
  librust-gettext-rs-0.7+default-dev,
  librust-gettext-rs-0.7+gettext-system-dev,
- librust-gtk4-0.9+default-dev,
- librust-gtk4-0.9+gnome-47-dev,
+ librust-gtk4-0.10+default-dev,
+ librust-gtk4-0.10+gnome-47-dev,
+ librust-gtk4-0.10+v4-18-dev,
  librust-image-0.25+png-dev,
- librust-libadwaita-0.7+default-dev,
- librust-libadwaita-0.7+v1-7-dev,
- librust-linkify-0.9+default-dev,
+ librust-libadwaita-0.8+default-dev,
+ librust-libadwaita-0.8+v1-8-dev,
+ librust-linkify-0.10+default-dev,
  librust-nom-7-dev (>= 7.1-~~),
  librust-nom-permutation-0.1+default-dev,
  librust-qrcode-0.14+default-dev,
- librust-rqrr-0.9+img-dev (>= 0.9.3-~~),
+ librust-rqrr-0.10+img-dev,
  librust-sqlx-0.8+chrono-dev,
  librust-sqlx-0.8+default-dev,
  librust-sqlx-0.8+runtime-async-std-native-tls-dev,
@@ -37,6 +38,7 @@
  librust-tracing-0.1+default-dev,
  librust-tracing-subscriber-0.3+default-dev,
  librust-url-2+default-dev (>= 2.2-~~),
+ libstd-rust-dev,
  meson,
 Standards-Version: 4.7.2
 Homepage: https://apps.gnome.org/Decoder/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export PATH := /usr/share/cargo/bin:$(PATH)
 
 include /usr/share/dpkg/default.mk
 include /usr/share/rustc/architecture.mk
@@ -10,6 +12,10 @@
 export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
 export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
 
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+    export DEB_BUILD_OPTIONS += optimize=-lto
+endif
+
 %:
 	dh $@
 
@@ -18,10 +24,14 @@
 	rm -rf $(CARGO_HOME)
 	rm -rf $(CARGO_REGISTRY)
 
-execute_before_dh_auto_configure:
+override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
 	rm -f .cargo/config
 	mv Cargo.lock debian/
+	dh_auto_configure -- -Dhost_arch="$(DEB_HOST_RUST_TYPE)"
+
+override_dh_auto_test:
+	dh_auto_test -- --timeout-multiplier 4
 
 execute_after_dh_auto_install:
 	mv debian/Cargo.lock .

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/gnome-decoder --help
Restrictions: allow-stderr superficial
Depends: xauth,
         xvfb,
         @

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.gnome.org/World/decoder

## gnome-decoder 0.8.1

=== debian/changelog ===
gnome-decoder (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches: drop no longer needed patches
  * d/control: drop obsolete Rules-Requires-Root

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 16 Dec 2025 11:31:13 +0100

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
 Homepage: https://apps.gnome.org/Decoder/
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-decoder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-decoder.git
-Rules-Requires-Root: no
 
 Package: gnome-decoder
 Architecture: any
